[Testing Update i686] 2019-06-12 - Kernels, Palemoon

Updates of note are kernels and Palemoon.


Available kernels

Series Version PAE
linux316 3.16.68 No
linux318 3.18.140 EOL No
linux44 4.4.181 No
linux49 4.9.181 No
linux414 4.14.125 No
linux419 4.19.50 Yes

Current difference to x32-stable

This thread will track updates to x32-testing as they are snapped over from x32-unstable
This post has a full difference to x32-stable, updates will be posted below as they occur.

Full list is available here.


Any problems?

  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters


Is x32-testing ready to be moved to x32-stable?

This will inform the snap process; there is no set threshold.

Please vote on the "is it ready yet?" poll but only when you feel this set is tested enough, and has a sufficient number of changes compared to x32-stable.

  • No or Not yet
  • Yes, x32-testing should be snapped to x32-stable at this point
  • Other (post)

0 voters

1 Like

Known issues

Known to-do

First batch

:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                            linux414           4.14.123-1           4.14.125-1
                    linux414-headers           4.14.123-1           4.14.125-1
                            linux419            4.19.48-1            4.19.50-1
                    linux419-headers            4.19.48-1            4.19.50-1
                             linux44            4.4.180-1            4.4.181-1
                     linux44-headers            4.4.180-1            4.4.181-1
                             linux49            4.9.180-1            4.9.181-1
                     linux49-headers            4.9.180-1            4.9.181-1


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                  linux414-acpi_call            1.1.0-123            1.1.0-125
                   linux414-bbswitch              0.8-123              0.8-125
                linux414-broadcom-wl     6.30.223.271-123     6.30.223.271-125
                linux414-ndiswrapper             1.61-123             1.61-125
               linux414-nvidia-340xx          340.107-123          340.107-125
               linux414-nvidia-390xx          390.116-123          390.116-125
                      linux414-r8168         8.047.01-123         8.047.01-125
                  linux414-rt3562sta       2.4.1.1_r4-123       2.4.1.1_r4-125
                   linux414-tp_smapi             0.41-123             0.41-125
                linux414-vhba-module         20190410-123         20190410-125
   linux414-virtualbox-guest-modules            6.0.8-123            6.0.8-125
    linux414-virtualbox-host-modules            6.0.8-123            6.0.8-125
                        linux414-zfs            0.8.0-122            0.8.0-125
                  linux419-acpi_call             1.1.0-48             1.1.0-50
                   linux419-bbswitch               0.8-48               0.8-50
                linux419-broadcom-wl      6.30.223.271-48      6.30.223.271-50
                linux419-ndiswrapper              1.61-48              1.61-50
               linux419-nvidia-340xx           340.107-48           340.107-50
               linux419-nvidia-390xx           390.116-48           390.116-50
                   linux419-nvidiabl              0.88-48              0.88-50
                      linux419-r8168          8.047.01-48          8.047.01-50
                   linux419-tp_smapi              0.41-48              0.41-50
                linux419-vhba-module          20190410-48          20190410-50
   linux419-virtualbox-guest-modules             6.0.8-48             6.0.8-50
    linux419-virtualbox-host-modules             6.0.8-48             6.0.8-50
                        linux419-zfs             0.8.0-48             0.8.0-50
                   linux44-acpi_call            1.1.0-180            1.1.0-181
                 linux44-broadcom-wl     6.30.223.271-180     6.30.223.271-181
                 linux44-ndiswrapper             1.61-180             1.61-181
                linux44-nvidia-390xx          390.116-180          390.116-181
                   linux44-rt3562sta       2.4.1.1_r4-180       2.4.1.1_r4-181
                 linux44-vhba-module         20161009-180         20190410-181
    linux44-virtualbox-guest-modules            6.0.8-180            6.0.8-181
     linux44-virtualbox-host-modules            6.0.8-180            6.0.8-181
                         linux44-zfs              0.8.0-0            0.8.0-181
                   linux49-acpi_call            1.1.0-180            1.1.0-181
                    linux49-bbswitch              0.8-180              0.8-181
                 linux49-broadcom-wl     6.30.223.271-180     6.30.223.271-181
                linux49-nvidia-340xx          340.107-180          340.107-181
                linux49-nvidia-390xx          390.116-180          390.116-181
                       linux49-r8168         8.047.01-180         8.047.01-181
                    linux49-tp_smapi             0.41-180             0.41-181
                 linux49-vhba-module         20190410-180         20190410-181
    linux49-virtualbox-guest-modules            6.0.8-180            6.0.8-181
     linux49-virtualbox-host-modules            6.0.8-180            6.0.8-181
                         linux49-zfs            0.8.0-180            0.8.0-18


:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
      deepin-desktop-schemas-manjaro             3.13.1-1             3.13.2-1
                     kvantum-manjaro             0.13.2-2             0.13.5-1
                              octopi              0.9.0-7              0.9.0-8
          octopi-notifier-frameworks              0.9.0-7              0.9.0-8
                 octopi-notifier-qt5              0.9.0-7              0.9.0-8
                        palemoon-bin             28.5.0-1             28.5.2-1
                    palemoon-i18n-ar             28.5.0-1             28.5.2-1
                    palemoon-i18n-bg             28.5.0-1             28.5.2-1
                    palemoon-i18n-cs             28.5.0-1             28.5.2-1
                    palemoon-i18n-da             28.5.0-1             28.5.2-1
                    palemoon-i18n-de             28.5.0-1             28.5.2-1
                    palemoon-i18n-el             28.5.0-1             28.5.2-1
                 palemoon-i18n-en-gb             28.5.0-1             28.5.2-1
                 palemoon-i18n-es-ar             28.5.0-1             28.5.2-1
                 palemoon-i18n-es-es             28.5.0-1             28.5.2-1
                 palemoon-i18n-es-mx             28.5.0-1             28.5.2-1
                    palemoon-i18n-fi             28.5.0-1             28.5.2-1
                    palemoon-i18n-fr             28.5.0-1             28.5.2-1
                    palemoon-i18n-gl             28.5.0-1             28.5.2-1
                    palemoon-i18n-hr             28.5.0-1             28.5.2-1
                    palemoon-i18n-hu             28.5.0-1             28.5.2-1
                    palemoon-i18n-id             28.5.0-1             28.5.2-1
                    palemoon-i18n-is             28.5.0-1             28.5.2-1
                    palemoon-i18n-it             28.5.0-1             28.5.2-1
                    palemoon-i18n-ja             28.5.0-1             28.5.2-1
                    palemoon-i18n-kn             28.5.0-1             28.5.2-1
                    palemoon-i18n-ko             28.5.0-1             28.5.2-1
                    palemoon-i18n-nl             28.5.0-1             28.5.2-1
                    palemoon-i18n-pl             28.5.0-1             28.5.2-1
                 palemoon-i18n-pt-br             28.5.0-1             28.5.2-1
                 palemoon-i18n-pt-pt             28.5.0-1             28.5.2-1
                    palemoon-i18n-ro             28.5.0-1             28.5.2-1
                    palemoon-i18n-ru             28.5.0-1             28.5.2-1
                    palemoon-i18n-sk             28.5.0-1             28.5.2-1
                    palemoon-i18n-sl             28.5.0-1             28.5.2-1
                    palemoon-i18n-sr             28.5.0-1             28.5.2-1
                 palemoon-i18n-sv-se             28.5.0-1             28.5.2-1
                    palemoon-i18n-tl             28.5.0-1             28.5.2-1
                    palemoon-i18n-tr             28.5.0-1             28.5.2-1
                    palemoon-i18n-uk             28.5.0-1             28.5.2-1
                    palemoon-i18n-vi             28.5.0-1             28.5.2-1
                 palemoon-i18n-zh-cn             28.5.0-1             28.5.2-1
                 palemoon-i18n-zh-tw             28.5.0-1             28.5.2-1
                               snapd             2.39-2.0             2.39.2-1
:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                    gst-plugins-base           1.16.0-2.0           1.16.0-3.0
               gst-plugins-base-libs           1.16.0-2.0           1.16.0-3.0


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                      chewing-editor                    -            0.1.1-4.0
                              swaybg                    -              1.0-2.0
                           wallutils                    -            5.8.0-1.0

Been a while since I updated the x32 testing VMs ... octopi package reorg has dependency issues.

(1/1) Arming ConditionNeedsUpdate...

:: Starting full system upgrade...
:: Replace octopi-cachecleaner with community/octopi? [Y/n] y
:: Replace octopi-pacmanhelper with community/octopi? [Y/n] y
:: Replace octopi-repoeditor with community/octopi? [Y/n] y
resolving dependencies...
looking for conflicting packages...
error: unresolvable package conflicts detected
error: failed to prepare transaction (conflicting dependencies)
:: octopi and octopi-pacmanhelper are in conflict
$ sudo pacman -R octopi-pacmanhelper
checking dependencies...
error: failed to prepare transaction (could not satisfy dependencies)
:: octopi-notifier-frameworks: removing octopi-pacmanhelper breaks dependency 'octopi-pacmanhelper'
1 Like

Just uninstall octopi and then update and reinstall (the notifier must be installed manually).

1 Like